Subject: RE: Random long pause when starting bash
From: [email-masked] (Bob McGowan)

16 May 1998 03:38:53 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "[email-masked]'" <[email-masked]>

> -----Original Message-----
> From: Shaun Burnett [mailto:[email-masked]]
> Sent: Thursday, May 14, 1998 10:59 AM
> To: [email-masked]
> Subject: Random long pause when starting bash
> 
> 
> Here's some more information on the pause problem.
> 
> It's not random for me.  I installed the CDK to
> D:\.  The installation program defaults the mount
> point of "/" to "c:".  After correcting this in
> the registry to "d:", I launch bash via the provided
> icon.
> 
> If the bash executable setting (CYGNUS.PIF) "Start in:"
> is set to "D:", then I have the long pause between the
> bash window opening and the display of the prompt.  (As
> I recall, issuing subsequent disk related commands results
> in the long pause.)  Changing "Start in:" to "C:", eliminates
> the problem.  (The prompt shows up "immediately" after the bash
> window opening.)

Two thoughts on the above.  First, when setting up shortcuts on
NT 4.0 and Win95, I have always added a backslash to the "start
in" line.  Don't really know if this would make a difference in a
PIF file (I thought they were eliminated/replaced in these two
environments?  Are you refering to the shortcut here?) but it seems
like using an absolute path name for the startup directory makes more
sense anyway.

Secondly, the provided icon from the start menu points to a batch file.
I edited this file to contain a variable for my home directory:

	set HOME=....

and bash will now go there.  Since I have not tried the "start in"
feature of the shortcut, I do not know for sure, but it would seem that
this variable would not get set, so cd with no args would not work, the
bash profile would likly not be read (though the rc file might)  and
references in scripts to $HOME would also to fail.  Seems to me this
is maybe the preferred solution for setting a default startup?

---
Bob McGowan
i'm:  bob dot mcgowan at artecon dot com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".